Sync Methods
curl --request GET \
--url https://snapchain-api.neynar.com/v1/info \
--header 'x-api-key: <api-key>'import requests
url = "https://snapchain-api.neynar.com/v1/info"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://snapchain-api.neynar.com/v1/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"isSyncing": true,
"nickname": "<string>",
"rootHash": "<string>",
"peerId": "<string>",
"hubOperatorFid": 123,
"dbStats": {
"numMessages": 123,
"numFidEvents": 123,
"numFnameEvents": 123
}
}{
"errCode": "<string>",
"presentable": true,
"name": "<string>",
"code": 123,
"details": "<string>",
"metadata": {
"errcode": [
"<string>"
]
}
}Info
Sync Methods
Retrieve hub information.
GET
/
v1
/
info
Sync Methods
Authorizations
API key to authorize requests
Query Parameters
Controls whether the response includes database statistics. When true, the response includes information about the hub's database state, storage usage, and performance metrics.
Example:
true
Was this page helpful?
โI